# Custom Webhook

Exporting data via API to a webhook helps transfer files directly from Datasaur to the URL destination of your choice.

## Request Method

`PUT`

## Request Headers

```javascript
X-Datasaur-Signature: HMAC-SHA256(secret, body)
Content-Type: application/json
```

## Request Body

```javascript
{
   "userId": 1, // user who triggers export
   "fileUrl": "https://url-to-file/file.zip",
   "projectId": "projectId",
   "documentId": "documentId" // required only exportTextProjectDocument query
}
```

## Expected Response

```javascript
HTTP 1.1 200 OK
Content-Type: application/json
{}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datasaur.ai/api/export-project/custom-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
